Name:           nightview
Version:        0.3.2
Release:        6%{?dist}
Summary:        A general astronomical software package to control of a CCD camera

Group:          Amusements/Graphics
License:        GPLv2
URL:            http://www.physics.muni.cz/mb/nightview/
Source0:        ftp://integral.physics.muni.cz/pub/nightview/%{name}-%{version}.tar.gz
Source1:        xnightview.desktop
Source2:        xmove.desktop
Source3:        nighthttpd.sysvinit
Patch0:         nightview-0.3.2-fitslib.patch
Patch1:         nightview-0.3.2-initscript.patch
Patch2:         nightview-0.3.1-doc.patch
# Sent upstream by mail, first hunk already accepted
Patch3:         nightview-0.3.2-gcc44.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  cfitsio-devel
BuildRequires:  wxGTK-devel
BuildRequires:  curl-devel
BuildRequires:  ImageMagick
BuildRequires:  jadetex
BuildRequires:  /usr/bin/dvipdf
BuildRequires:  docbook-style-dsssl
BuildRequires:  docbook-dtd42-xml
BuildRequires:  transfig
BuildRequires:  desktop-file-utils

Requires:       nightview-server = %{version}
Requires:       nightview-cli = %{version}
Requires:       nightview-gui = %{version}
Requires:       nightview-doc = %{version}

%description
Nightview is a general astronomical software package to control of a CCD
camera together with a telescope. It provides an intuitive graphical
interface for getting of individual exposures and a telescope possitioning.
An advanced command line interface is also offered to support of a scripting
and a long time serie imaging.

Nightview is designed as a fully network transparent providing maximum
flexibility of its usage. Moreover, all components are prepared with
possibility to be simply superseded by an user's equivalent for support of
individual improvements and possible requested extendings. 


%package server
Summary:        Server-side tools from NightView suite
Group:          Amusements/Graphics

Requires(post): chkconfig
Requires(preun): chkconfig
Requires(preun): initscripts

%description server
Server tools from NightView suite.
See description of "nightview" package for more details.


%package cli
Summary:        Non-GUI tools from NightView suite
Group:          Amusements/Graphics

%description cli
Text based tools from NightView suite.
See description of "nightview" package for more details.


%package gui
Summary:        GUI tools from NightView suite
Group:          Amusements/Graphics

%description gui
Graphically oriented tools from NightView suite.
See description of "nightview" package for more details.


%package doc
Summary:        Documentation for NightView suite
Group:          Amusements/Graphics

%description doc
Documentation files for NightView suite in PDF, PostScript and HTML.
See description of "nightview" package for more details.


%prep
%setup -q
%patch0 -p1 -b .fitslib
%patch1 -p1 -b .initscript
%patch2 -p1 -b .doc
%patch3 -p1 -b .gcc44


%build
# configure.in has a typo, patching it would need regeneration of configure
# Real fix is s/ac_cv_header_curl_h/ac_cv_header_curl_curl_h/
export ac_cv_header_curl_h=yes
# Unfortunately *sad panda* SBIG protocols are not open
%configure --without-sbigudrv --disable-static --with-curl
# configure overrides CFLAGS to a value that does not make much sense
make %{?_smp_mflags} CFLAGS="%{optflags}" CXXFLAGS="%{optflags}"

# Build documentation (not _smp_mflags safe)
make -C doc

# Create Icon Theme Specification compilant icons
convert xnightview/xnightview-icon.xpm xnightview.png
convert xmove/xmove-icon.xpm xmove.png


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# Directory structure
install -d $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -d $RPM_BUILD_ROOT%{_datadir}/applications
install -d $RPM_BUILD_ROOT%{_docdir}/nightview-doc
install -d $RPM_BUILD_ROOT%{_initrddir}

# Icons and menu entries
install -pm 0644 xnightview.png xmove.png \
        $RPM_BUILD_ROOT%{_datadir}/pixmaps
desktop-file-install --vendor=fedora %{SOURCE1} \
        --dir=$RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor=fedora %{SOURCE2} \
        --dir=$RPM_BUILD_ROOT%{_datadir}/applications

# Init scripts
install -pm 0755 rpm/mount-server.init.redhat \
        $RPM_BUILD_ROOT%{_initrddir}/telescoped
install -pm 0755 %{SOURCE3} \
        $RPM_BUILD_ROOT%{_initrddir}/nighthttpd

# Documentation
make -f Makefile.nightview -C doc install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%post server
/sbin/chkconfig --add telescoped
/sbin/chkconfig --add nighthttpd


%preun server
if [ $1 = 0 ]
then
        /sbin/service telescoped stop >/dev/null 2>&1
        /sbin/chkconfig --del telescoped
        /sbin/service nighthttpd stop >/dev/null 2>&1
        /sbin/chkconfig --del nighthttpd
fi


%post cli -p /sbin/ldconfig
%postun cli -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
# Nothing external links against this so far, and this saves us
# from overhead of creating a useless devel package.
%exclude %{_libdir}/libccdnet.so
%exclude %{_libdir}/libccdnet.la
# This seems usless in a package
%exclude %{_sbindir}/nighthttpd_setup.sh
%exclude %{_sbindir}/telescoped_setup.sh
%exclude %{_bindir}/nightview-test
%exclude %{_mandir}/man1/nightview-test.1*
%doc COPYING


%files server
%defattr(-,root,root,-)
%{_initrddir}/nighthttpd
%{_initrddir}/telescoped
%{_sbindir}/nighthttpd
%{_sbindir}/telescoped
%{_mandir}/man8/nighthttpd.8*
%{_mandir}/man8/telescoped.8*
%doc COPYING


%files cli
%defattr(-,root,root,-)
%{_bindir}/night_batch
%{_bindir}/night_control
%{_bindir}/night_dark
%{_bindir}/night_darks
%{_bindir}/night_exposure
%{_bindir}/night_filter
%{_bindir}/night_flats
%{_bindir}/night_keylist
%{_bindir}/night_pointer
%{_bindir}/night_power
%{_bindir}/night_temperature
%{_bindir}/telescope
%{_libdir}/libccdnet.so.0
%{_libdir}/libccdnet.so.0.0.0
%{_mandir}/man1/night_batch.1*
%{_mandir}/man1/night_control.1*
%{_mandir}/man1/night_dark.1*
%{_mandir}/man1/night_darks.1*
%{_mandir}/man1/night_exposure.1*
%{_mandir}/man1/night_filter.1*
%{_mandir}/man1/night_flats.1*
%{_mandir}/man1/night_keylist.1*
%{_mandir}/man1/night_power.1*
%{_mandir}/man1/night_temperature.1*
%{_mandir}/man1/telescope.1*
%doc COPYING


%files gui
%defattr(-,root,root,-)
%{_bindir}/xnightview
%{_bindir}/xmove
%{_mandir}/man1/xmove.1*
%{_mandir}/man1/xnightview.1*
%{_datadir}/pixmaps
%{_datadir}/applications
%doc COPYING


%files doc
%defattr(-,root,root,-)
%dir %{_docdir}/nightview-doc
%{_docdir}/nightview-doc/html
%{_docdir}/nightview-doc/nightview.pdf
%{_docdir}/nightview-doc/nightview.ps
# Do not include sources
%exclude %{_docdir}/nightview-doc/*.fig
%exclude %{_docdir}/nightview-doc/*.eps
%exclude %{_docdir}/nightview-doc/*.jpg
%exclude %{_docdir}/nightview-doc/*.png
%exclude %{_docdir}/nightview-doc/*.css
%exclude %{_docdir}/nightview-doc/*.xml
%doc COPYING


%changelog
* Tue Mar 24 2009 Lubomir Rintel (Fedora Astronomy) <lkundrak@v3.sk> - 0.3.2-6
- Fix the categories

* Sun Mar 1 2009 Lubomir Rintel (Fedora Astronomy) <lkundrak@v3.sk> - 0.3.2-5
- Update the gcc44 fix

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Feb 22 2009 Lubomir Rintel (Fedora Astronomy) <lkundrak@v3.sk> - 0.3.2-3
- Fix build with gcc44

* Thu Feb 05 2009 Lubomir Rintel (Fedora Astronomy) <lkundrak@v3.sk> - 0.3.2-2
- Remove #478680 workaround

* Tue Jan 06 2009 Lubomir Rintel (Fedora Astronomy) <lkundrak@v3.sk> - 0.3.2-1
- Bump to 0.3.2

* Mon Jan 05 2009 Lubomir Rintel (Fedora Astronomy) <lkundrak@v3.sk> - 0.3.1-3
- Work around #478680

* Wed Nov 05 2008 Lubomir Rintel (Fedora Astronomy) <lkundrak@v3.sk> - 0.3.1-2
- Fixes for problems found during review by Marek Mahut

* Sun Oct 26 2008 Lubomir Rintel (Fedora Astronomy) <lkundrak@v3.sk> - 0.3.1-1
- Initial packaging attempt
